POSTTx

https://rpc-cosmos-mainnet.nodit.io/

Retrieves a specific transaction by its hash.

Request Body
jsonrpcstring (enum)required

JSON-RPC protocol version. Always 2.0.

idintegerrequired

Identifier of the request. Returned unchanged as id in the response.

methodstring (enum)required

Name of the JSON-RPC method to call.

hashstringrequired

Transaction hash to query.

provestring

String boolean indicating whether to include proof.

Responses
jsonrpcstringrequired

JSON-RPC protocol version. Always 2.0.

idintegerrequired

The request ID, echoed back unchanged.

hashstring

Transaction hash.

heightstring

Block height.

indexinteger

Index of the transaction within the block.

tx_resultobject

Transaction execution result.

logstring

Execution log message.

gas_wantedstring

Gas limit requested by the transaction.

gas_usedstring

Gas actually used.

tagsobject[]

Tags recorded during transaction execution.

keystring

Tag key.

valuestring

Tag value.

indexboolean

Whether the tag is indexed.

txstring

Raw transaction (Base64).

X-API-KEY
RequestCU20
cURL
curl -X POST "https://rpc-cosmos-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tx",
  "params": {
    "hash": "0xD70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED",
    "prove": "true"
  }
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "hash": "D70952032620CC4E2737EB8AC379806359D8E0B17B0488F627997A0B043ABDED",
    "height": "1000",
    "index": 0,
    "tx_result": {
      "log": "[]",
      "gas_wanted": "200000",
      "gas_used": "123456",
      "tags": [
        {
          "key": "action",
          "value": "send",
          "index": true
        }
      ]
    },
    "tx": "a/encoded_tx/c"
  }
}